postTaxRates :: MonadHTTP m=> PostTaxRatesRequestBodyThe request body to send
-> ClientT m (Response PostTaxRatesResponse)Monadic computation which returns the result of the operation
POST /v1/tax_rates<p>Creates a new tax rate.</p>
:: a typeCtrl KGHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27
Modulestripeapi-3.0.0.0Haskell2010
Contains the different functions to run the operation postTaxRates
postTaxRates :: MonadHTTP m=> PostTaxRatesRequestBodyThe request body to send
-> ClientT m (Response PostTaxRatesResponse)Monadic computation which returns the result of the operation
POST /v1/tax_rates<p>Creates a new tax rate.</p>
Defines the object schema located at paths./v1/tax_rates.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.
PostTaxRatesRequestBodypostTaxRatesRequestBodyActive :: Maybe Boolactive: Flag determining whether the tax rate is active or inactive (archived). Inactive tax rates cannot be used with new applications or Checkout Sessions, but will still work for subscriptions and invoices that already have it set.
postTaxRatesRequestBodyCountry :: Maybe TextpostTaxRatesRequestBodyDescription :: Maybe Textdescription: An arbitrary string attached to the tax rate for your internal use only. It will not be visible to your customers.
Constraints:
Maximum length of 5000
postTaxRatesRequestBodyDisplayName :: Textdisplay_name: The display name of the tax rate, which will be shown to users.
Constraints:
Maximum length of 50
postTaxRatesRequestBodyExpand :: Maybe [Text]expand: Specifies which fields in the response should be expanded.
postTaxRatesRequestBodyInclusive :: Boolinclusive: This specifies if the tax rate is inclusive or exclusive.
postTaxRatesRequestBodyJurisdiction :: Maybe Textjurisdiction: The jurisdiction for the tax rate. You can use this label field for tax reporting purposes. It also appears on your customer’s invoice.
Constraints:
Maximum length of 50
postTaxRatesRequestBodyMetadata :: Maybe Objectmetadata: Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
postTaxRatesRequestBodyPercentage :: Doublepercentage: This represents the tax rate percent out of 100.
postTaxRatesRequestBodyState :: Maybe Textstate: ISO 3166-2 subdivision code, without country prefix. For example, "NY" for New York, United States.
Constraints:
Maximum length of 2
postTaxRatesRequestBodyTaxType :: Maybe PostTaxRatesRequestBodyTaxType'tax_type: The high-level tax type, such as `vat` or `sales_tax`.
Eq PostTaxRatesRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTaxRatesShow PostTaxRatesRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTaxRatesFromJSON PostTaxRatesRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTaxRatesToJSON PostTaxRatesRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTaxRatesCreate a new PostTaxRatesRequestBody with all required fields.
Defines the enum schema located at paths./v1/tax_rates.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.tax_type in the specification.
The high-level tax type, such as `vat` or `sales_tax`.
PostTaxRatesRequestBodyTaxType'Other ValueThis case is used if the value encountered during decoding does not match any of the provided cases in the specification.
PostTaxRatesRequestBodyTaxType'Typed TextThis constructor can be used to send values to the server which are not present in the specification yet.
PostTaxRatesRequestBodyTaxType'EnumGstRepresents the JSON value "gst"
PostTaxRatesRequestBodyTaxType'EnumHstRepresents the JSON value "hst"
PostTaxRatesRequestBodyTaxType'EnumJctRepresents the JSON value "jct"
PostTaxRatesRequestBodyTaxType'EnumPstRepresents the JSON value "pst"
PostTaxRatesRequestBodyTaxType'EnumQstRepresents the JSON value "qst"
PostTaxRatesRequestBodyTaxType'EnumRstRepresents the JSON value "rst"
PostTaxRatesRequestBodyTaxType'EnumSalesTaxRepresents the JSON value "sales_tax"
PostTaxRatesRequestBodyTaxType'EnumVatRepresents the JSON value "vat"
Eq PostTaxRatesRequestBodyTaxType'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTaxRatesShow PostTaxRatesRequestBodyTaxType'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTaxRatesFromJSON PostTaxRatesRequestBodyTaxType'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTaxRatesToJSON PostTaxRatesRequestBodyTaxType'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTaxRatesRepresents a response of the operation postTaxRates.
The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostTaxRatesResponseError is used.
PostTaxRatesResponseError StringMeans either no matching case available or a parse error
PostTaxRatesResponse200 TaxRateSuccessful response.
PostTaxRatesResponseDefault ErrorError response.
Eq PostTaxRatesResponseDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTaxRatesShow PostTaxRatesResponseDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTaxRates